- name: Install packages
  package:
    name:
      - bc # For waybar sound script
      - upower # Needed for waybar battery script
      - waybar
    state: present

- name: Install scripts
  copy:
    src: "files/waybar_scripts/{{ item.src }}"
    dest: "{{ item.dest }}"
    mode: 0755
    owner: root
    group: wheel
  loop:
    - src: waybar_battery_linux.bash
      dest: /usr/local/bin/waybar_custom_battery
    - src: waybar_available_memory_linux.bash
      dest: /usr/local/bin/waybar_custom_available_memory
    - src: waybar_sound_linux.bash
      dest: /usr/local/bin/waybar_custom_sound
    - src: waybar_temperature_linux.bash
      dest: /usr/local/bin/waybar_custom_temperature
